// fopmap.h
// Operator to perform general Mapping

#ifndef _OP_MAP_
#define _OP_MAP_

#include <fopmo.h>
#include <farray.h>
#include <Axis.h>
#include <Axislist.h>
#include <math.h>

class fopMAP : public fopMO {
  public:
    fopMAP(Axis & t, Axis & x, float slow);
    fopMAP(Axis & t, Axis & x, float *slowarray);

    fopMAP(Axis & ti, Axis & xi, Axis & to, Axis & xo, float slow);
    fopMAP(Axis & ti, Axis & xi, Axis & to, Axis & xo, float *slowarray);

    float *slow;		/* mapping knows about slowness not MO */

};

#endif
