#include <fopmmo.h>


fopMMO::fopMMO(Axis & t , Axis & x, float slow): 
	fopMAP( t, x, slow ) {} 

fopMMO::fopMMO(Axis & t , Axis & x, float *slowarray): 
      	fopMAP( t, x, *slowarray ){} 

fopMMO::fopMMO(Axis & ti, Axis & xi, Axis & to, Axis & xo, float slow ) : 
        fopMAP( ti, xi, to, xo, slow ) {} 

fopMMO::fopMMO(Axis & ti, Axis & xi, Axis & to, Axis & xo, float *slowarray ) : 
        fopMAP( ti, xi, to, xo, *slowarray ) {} 



float fopMMO::mapping( float tau, float x ) const {

        float slowness = slow[ fopMO::inlist[0].index( tau )];

        float xs = x * slowness;
        float t = sqrt(tau*tau + xs*xs);

        return t;
    };
