// foplmo.h
// Operator to perform LMO, derived from a general MO operator.

#include <fopone.h>
#include <fopmo.h>
#include <fopmap.h>
#include <Axislist.h>
#include <Cube/sepinput.h>

#ifndef _OP_LMO_H_
#define _OP_LMO_H_

class fopLMO : public fopMAP {
  public:

    float mapping( float, float ) const;

    // Constructors for LMO: parameters are:
    // Time axis, offset axis, slowness value
    // or array
    fopLMO( Axis &, Axis &, float );
    fopLMO( Axis &, Axis &, float a[] );

};
#endif
