// fopnmo.h
// Operator to perform NMO derived from a general MO

#ifndef _OP_NMO_H_
#define _OP_NMO_H_

#include <fopmap.h>
#include <fopone.h>
#include <farray.h>
#include <Axis.h>
#include <Axislist.h>
#include <math.h>

class fopNMO : public fopMAP {

  public:
    float mapping( float tau, float x ) const;
    fopNMO( Axis & t, Axis & x, float slowness    );
    fopNMO( Axis & t, Axis & x, float slowarray[]  );
    fopNMO( Axis & t, Axis & x, Axis & to, Axis & xo, float slowness    );
    fopNMO( Axis & t, Axis & x, Axis & to, Axis & xo, float slowarray[]  );

};
#endif

