#include <fopmap.h>

fopMAP::fopMAP(Axis & t ,Axis & x, float s ) : fopMO( t,x ) {
    slow = new float[t.length];
    for (int i=0; i<t.length; i++) {
        slow[i] = s;
    }
} 
fopMAP::fopMAP(Axis & t ,Axis & x, float *s): fopMO( t,x ){
    slow = new float[t.length];
    for (int i=0; i<t.length; i++) {
        slow[i] = s[i];
    }
} 

fopMAP::fopMAP(Axis & t ,Axis & x, Axis & to ,Axis & xo, float s ) : fopMO( t,x,to,xo ) {
    slow = new float[t.length];
    for (int i=0; i<t.length; i++) {
        slow[i] = s;
    }
} 

fopMAP::fopMAP(Axis & t ,Axis & x, Axis & to, Axis & xo, float *s): fopMO( t,x,to,xo ){
    slow = new float[t.length];
    for (int i=0; i<t.length; i++) {
        slow[i] = s[i];
    }
} 

