// fopmmo.h
// Operator to perform NMO  dreived form a general MO

#ifndef _OP_MMO_
#define _OP_MMO_

#include <fopmap.h>
#include <fopone.h>
#include <farray.h>
#include <Axis.h>
#include <Axislist.h>
#include <math.h>

class fopMMO : public fopMAP {

    public:

    float mapping( float tau, float x ) const;

    fopMMO( Axis & t, Axis & x, float slowness    );

    fopMMO( Axis & t, Axis & x, float slowarray[]  );

    fopMMO( Axis & t, Axis & x, Axis & to, Axis & xo, float slowness    );

    fopMMO( Axis & t, Axis & x, Axis & to, Axis & xo, float slowarray[]  );

};

#endif

