#include <fopkmo.h>

fopKMO::fopKMO(Axis & t ,Axis & x, float slow , float m ) : 
        fopMAP( t,x,slow ) {
	   Axislist temp(2); temp[0]=t ; temp[1]=x; outaxis = temp;
	   midpoint = m ;
	}

fopKMO::fopKMO(Axis & t ,Axis & x, float *slowarray , float m) : 
	fopMAP( t,x,*slowarray ){ 
	   Axislist temp(2); temp[0]=t ; temp[1]=x; outaxis = temp;
	   midpoint = m ; 
	}

float fopKMO::mapping( float tau, float x ) const {
	
        float twiceslow = slow[ fopMO::inlist[0].index( tau )];

        float hs =  ( x - midpoint ) * twiceslow;
        float  t =  sqrt( tau * tau  +  hs * hs );

        return t;
    };

