#include <foplmo.h>

fopLMO::fopLMO( Axis &t, Axis &x, float slow )
: fopMAP(t, x, slow) {}

fopLMO::fopLMO( Axis &t, Axis &x, float *slowarray )
: fopMAP( t, x, *slowarray) {}

float fopLMO::mapping( float tau, float x ) const {
	
	float slowness = slow[fopMO::inlist[0].index( tau )];
	float t = tau + x * slowness;
	return t;
}; 
